%%
function graficar_evolucion(s)

    fprintf('Graficando evolución del sistema\n')

    % eje_x = s.d*(0:s.n_masas-1);

    % ¿en qué rango de frecuencia nos encontramos?
%     if s.forzante_frec < sqrt(s.g/s.L)
%         % modo de frec baja fuera de la resonancia: cuanto deberia valer k según la
%         % relación de dispersión?
%         %       w^2 = s.g / s.L - 4*s.k/s.m*sinh(x).^2
%         %       4*s.k/s.m*sinh(x).^2 = s.g/s.L - w^2
%         k = 2*asinh(sqrt((s.g/s.L - s.forzante_frec^2)/4/s.k*s.m))/s.d;
%         
%         % asumiendo forzado sobre la masa 1, A0 es la amplitud de los desplazamientos
%         % de la masa sobre la que forzamos:
%         A0 = max(s.solucion_forzado_sobre_masas(1,:));
%         
%         % resuelvo el sistema de ecuaciones para la forma espacial aplicando las
%         % condiciones de borde
%                % [ exp(-k*s.d), exp(k*s.d) ; ... ]
%         matriz = [ exp(0), exp(0) ; exp(k*s.d*(s.n_masas+1)), exp(-k*s.d*(s.n_masas+1)) ];
%         
%         b = [ A0 0 ]';
%         x = lscov(matriz,b);
%         
%         amplitud_espacial = x(1)*exp(k*eje_x) + x(2)*exp(-k*eje_x);
%         
%     elseif s.forzante_frec > sqrt(s.g/s.L + 4*s.k/s.m)
%         amplitud_espacial = zeros(size(eje_x));
%     else
%         amplitud_espacial = zeros(size(eje_x));
%     end

    y_lim_vector_masas = [ min(s.solucion_forzado_sobre_masas(:)) max(s.solucion_forzado_sobre_masas(:)) ];
    y_lim_vector_modos = [ min(s.solucion_forzado_sobre_modos(:)) max(s.solucion_forzado_sobre_modos(:)) ];

    handle_figure = figure;
    set(handle_figure, 'Position', [ 620 80 700 250 ])
    
    handle_axes1  = subplot(2,1,1);
	hold on
    handle_axes2  = subplot(2,1,2);
	hold on
    % hold(handle_axes1, 'on');
    % hold(handle_axes2, 'on');
        
    for i = 1:length(s.time_span)

        % subfigura arriba
        if i == 1
            handle_plot1 = plot(handle_axes1, s.d*(0:s.n_masas-1), s.solucion_forzado_sobre_masas(:,i), 's-');  % <- solucion
            plot(handle_axes1, s.d*(0:s.n_masas-1), max(s.solucion_forzado_sobre_masas, [], 2), 'r')            % <- envolvente espacial
            % plot(handle_axes1, eje_x, amplitud_espacial, 'b.')                                                  % <- amplitud espacial según las condiciones de contorno
        else
            set(handle_plot1, 'YData', s.solucion_forzado_sobre_masas(:,i))
        end
        % title(handle_axes1, sprintf('Masas - iter = %d', i))
        ylim(handle_axes1, y_lim_vector_masas)

        % subfigura abajo
        if i == 1
            handle_plot2 = plot(handle_axes2, 0:s.n_masas-1, s.solucion_forzado_sobre_modos(:,i), 's-');
            plot(handle_axes2, 0:s.n_masas-1, abs(s.solucion_amplitudes_forzado_sobre_modos), 'r')
        else
            set(handle_plot2, 'YData', s.solucion_forzado_sobre_modos(:,i))
        end
        % title(handle_axes2, sprintf('Modos - iter = %d', i))
        ylim(handle_axes2, y_lim_vector_modos)
        
        pause(0.1)
            
    end



    return
end
