%%

function graficar_forzante(s)

    fprintf('Mostrando forzante sobre masas (izq) y sobre modos (der).\n')
    
    figure
        set(gcf, 'Position', [ 20 80 600 250 ])
        
        subplot(1,2,1)
            hold on
            plot(s.forzante_F0_sobre_masas, '.-')
            title(sprintf('Fuerza sobre masas'))
            legend('F0/m')
            
        subplot(1,2,2)
            hold on
            plot(s.forzante_F0_sobre_modos, 's-')
            plot(abs(s.forzante_F0_sobre_modos), 'r--')
            title(sprintf('Fuerza sobre modos: Los desfasajes obedecen a los desfasajes\nrelativos entre las formas espaciales de los modos'))
            legend('F0/m', '|F0|/m')

    pause(1)
            
    return
end
