%%
% Parametros:
% w0: frecuencia natural
% F0: amplitud de la fuerza
% m: masa
% omega: frecuencia de la fuerza
function amplitudes = resolver_oscilador_armonico(m, w0, F0, omega)

    % Calcula la amplitud de la xp para el caso sin disipación:
    %
    %          x'' + wo^2 x = F0/m * cos(omega*t) 
    %

    amplitudes = (1/m)*F0./ (w0.^2 - omega^2);

    return
end


